com.tibco.n2.service.adapter.exceptions

## Enum ExceptionCodes

- java.lang.Object
- - java.lang.Enum<ExceptionCodes>
  - - com.tibco.n2.service.adapter.exceptions.ExceptionCodes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExceptionCodes>

      public enum ExceptionCodes
      extends java.lang.Enum<ExceptionCodes>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BRM_WORK_ITEM_MANAGEMENT_CLOSE_WORK_ITEM_DEFAULT_EX`
    `BRM_WORK_ITEM_MANAGEMENT_CLOSE_WORK_ITEM_REMOTE_EX`
    `BRM_WORK_ITEM_SCHEDULER_CANCEL_WORK_ITEM_DEFAULT_EX`
    `BRM_WORK_ITEM_SCHEDULER_CANCEL_WORK_ITEM_REMOTE_EX`
    `BRM_WORK_ITEM_SCHEDULER_ENABLE_WORK_ITEM_DEFAULT_EX`
    `BRM_WORK_ITEM_SCHEDULER_ENABLE_WORK_ITEM_REMOTE_EX`
    `BRM_WORK_ITEM_SCHEDULER_RESCHEDULE_WORK_ITEM_DEFAULT_EX`
    `BRM_WORK_ITEM_SCHEDULER_RESCHEDULE_WORK_ITEM_REMOTE_EX`
    `BRM_WORK_ITEM_SCHEDULER_RESUME_WORK_ITEM_DEFAULT_EX`
    `BRM_WORK_ITEM_SCHEDULER_RESUME_WORK_ITEM_REMOTE_EX`
    `BRM_WORK_ITEM_SCHEDULER_SCHEDULE_WORK_ITEM_DEFAULT_EX`
    `BRM_WORK_ITEM_SCHEDULER_SCHEDULE_WORK_ITEM_MODEL_DEFAULT_EX`
    `BRM_WORK_ITEM_SCHEDULER_SCHEDULE_WORK_ITEM_MODEL_REMOTE_EX`
    `BRM_WORK_ITEM_SCHEDULER_SCHEDULE_WORK_ITEM_REMOTE_EX`
    `BRM_WORK_ITEM_SCHEDULER_SUSPEND_WORK_ITEM_DEFAULT_EX`
    `BRM_WORK_ITEM_SCHEDULER_SUSPEND_WORK_ITEM_REMOTE_EX`
    `BRM_WORKITEM_MANAGEMENT_ALLOCATE_WORK_ITEM_DEFAULT_EX`
    `BRM_WORKITEM_MANAGEMENT_ALLOCATE_WORK_ITEM_REMOTE_EX`
    `BRM_WORKITEM_MANAGEMENT_GET_OFFER_SET_DEFAULT_EX`
    `BRM_WORKITEM_MANAGEMENT_GET_OFFER_SET_REMOTE_EX`
    `BRM_WORKITEM_MANAGEMENT_GET_WORK_ITEM_HEADER_DEFAULT_EX`
    `BRM_WORKITEM_MANAGEMENT_GET_WORK_ITEM_HEADER_REMOTE_EX`
    `BRM_WORKITEM_MANAGEMENT_REALLOCATE_ITEM_DEFAULT_EX`
    `BRM_WORKITEM_MANAGEMENT_REALLOCATE_WORK_ITEM_REMOTE_EX`
    `BRM_WORKITEM_MANAGEMENT_SKIP_WORK_ITEM_DEFAULT_EX`
    `BRM_WORKITEM_MANAGEMENT_SKIP_WORK_ITEM_REMOTE_EX`
    `BRM_WORKITEM_MANAGEMENT_UNALLOCATE_WORK_ITEM_DEFAULT_EX`
    `BRM_WORKITEM_MANAGEMENT_UNALLOCATE_WORK_ITEM_REMOTE_EX`
    `BRM_WORKLIST_DELETE_ORG_ENTITY_CONFIG_ATTS_DEFAULT_EX`
    `BRM_WORKLIST_DELETE_ORG_ENTITY_CONFIG_ATTS_REMOTE_EX`
    `BRM_WORKLIST_GET_ORG_ENTITY_CONFIG_ATTS_AVALIABLE_DEFAULT_EX`
    `BRM_WORKLIST_GET_ORG_ENTITY_CONFIG_ATTS_AVALIABLE_REMOTE_EX`
    `BRM_WORKLIST_GET_ORG_ENTITY_CONFIG_ATTS_DEFAULT_EX`
    `BRM_WORKLIST_GET_ORG_ENTITY_CONFIG_ATTS_REMOTE_EX`
    `BRM_WORKLIST_GET_RESOURCE_ORDERFILTER_DEFAULT_EX`
    `BRM_WORKLIST_GET_RESOURCE_ORDERFILTER_REMOTE_EX`
    `BRM_WORKLIST_ORDERFILTER_DEFAULT_EX`
    `BRM_WORKLIST_ORDERFILTER_REMOTE_EX`
    `BRM_WORKLIST_SET_ORG_ENTITY_CONFIG_ATTS_DEFAULT_EX`
    `BRM_WORKLIST_SET_ORG_ENTITY_CONFIG_ATTS_REMOTE_EX`
    `BRM_WORKLIST_SET_RESOURCE_ORDERFILTER_DEFAULT_EX`
    `BRM_WORKLIST_SET_RESOURCE_ORDERFILTER_REMOTE_EX`
    `BRM_WORKLIST_WORKITEM_DEFAULT_EX`
    `BRM_WORKLIST_WORKITEM_REMOTE_EX`
    `DAC_BUSINESS_DEADLINE_CALC_BUSINESS_DEADLINE_DEFAULT_EX`
    `DAC_BUSINESS_DEADLINE_CALC_BUSINESS_DEADLINE_REMOTE_EX`
    `DAC_CALENDAR_ADD_WORKING_DAY_EXCEPTIONS_DEFAULT_EX`
    `DAC_CALENDAR_ADD_WORKING_DAY_EXCEPTIONS_REMOTE_EX`
    `DAC_CALENDAR_DELETE_WORKING_DAY_EXCEPTIONS_DEFAULT_EX`
    `DAC_CALENDAR_DELETE_WORKING_DAY_EXCEPTIONS_REMOTE_EX`
    `DAC_CALENDAR_GET_CALENDAR_ENTRIES_DEFAULT_EX`
    `DAC_CALENDAR_GET_CALENDAR_ENTRIES_REMOTE_EX`
    `DAC_CALENDAR_UPDATE_WORKING_DAY_EXCEPTIONS_DEFAULT_EX`
    `DAC_CALENDAR_UPDATE_WORKING_DAY_EXCEPTIONS_REMOTE_EX`
    `DAC_CALENDAR_UPDATE_WORKING_DAYS_DEFAULT_EX`
    `DAC_CALENDAR_UPDATE_WORKING_DAYS_REMOTE_EX`
    `DE_ATTRIBUTE_GET_BUSINESS_PARAMS_DEFAULT_EX`
    `DE_ATTRIBUTE_GET_BUSINESS_PARAMS_REMOTE_EX`
    `DE_ATTRIBUTE_GET_SYSTEM_PARAMS_DEFAULT_EX`
    `DE_ATTRIBUTE_GET_SYSTEM_PARAMS_REMOTE_EX`
    `DE_ATTRIBUTE_LIST_BUSINESS_PARAMS_DEFAULT_EX`
    `DE_ATTRIBUTE_LIST_BUSINESS_PARAMS_REMOTE_EX`
    `DE_ATTRIBUTE_LIST_SYSTEM_PARAMS_DEFAULT_EX`
    `DE_ATTRIBUTE_LIST_SYSTEM_PARAMS_REMOTE_EX`
    `DE_ATTRIBUTE_SET_BUSINESS_PARAMS_DEFAULT_EX`
    `DE_ATTRIBUTE_SET_BUSINESS_PARAMS_REMOTE_EX`
    `DE_ATTRIBUTE_SET_SYSTEM_PARAMS_DEFAULT_EX`
    `DE_ATTRIBUTE_SET_SYSTEM_PARAMS_REMOTE_EX`
    `DE_BROWSEMODEL_BROWSE_MODEL_NODE_DEFAULT_EX`
    `DE_BROWSEMODEL_BROWSE_MODEL_NODE_REMOTE_EX`
    `DE_BROWSEMODEL_GET_CAPABILITIES_DEFAULT_EX`
    `DE_BROWSEMODEL_GET_CAPABILITIES_REMOTE_EX`
    `DE_BROWSEMODEL_GET_PRIVILEGES_DEFAULT_EX`
    `DE_BROWSEMODEL_GET_PRIVILEGES_REMOTE_EX`
    `DE_BROWSEMODEL_LIST_CAPABILITIES_DEFAULT_EX`
    `DE_BROWSEMODEL_LIST_CAPABILITIES_REMOTE_EX`
    `DE_BROWSEMODEL_LIST_MODEL_VERSIONS_DEFAULT_EX`
    `DE_BROWSEMODEL_LIST_MODEL_VERSIONS_REMOTE_EX`
    `DE_BROWSEMODEL_LIST_ORG_MODEL_DEFAULT_EX`
    `DE_BROWSEMODEL_LIST_ORG_MODEL_OVERVIEW_REMOTE_EX`
    `DE_BROWSEMODEL_LIST_PRIVILEGES_DEFAULT_EX`
    `DE_BROWSEMODEL_LIST_PRIVILEGES_REMOTE_EX`
    `DE_BROWSEMODEL_OPEN_ORG_MODEL_DEFAULT_EX`
    `DE_BROWSEMODEL_OPEN_ORG_MODEL_REMOTE_EX`
    `DE_CONTAINER_DELETE_LDAP_CONTAINER_DEFAULT_EX`
    `DE_CONTAINER_DELETE_LDAP_CONTAINER_REMOTE_EX`
    `DE_CONTAINER_GET_LDAP_DETAIL_DEFAULT_EX`
    `DE_CONTAINER_GET_LDAP_DETAIL_REMOTE_EX`
    `DE_CONTAINER_LIST_LDAP_CONTAINER_DEFAULT_EX`
    `DE_CONTAINER_LIST_LDAP_CONTAINER_REMOTE_EX`
    `DE_CONTAINER_SAVE_LDAP_DETAIL_DEFAULT_EX`
    `DE_CONTAINER_SAVE_LDAP_DETAIL_REMOTE_EX`
    `DE_ENTITYRESOLVER_GET_RESOURCE_DETAIL_DEFAULT_EX`
    `DE_ENTITYRESOLVER_GET_RESOURCE_DETAIL_REMOTE_EX`
    `DE_ENTITYRESOLVER_GET_TYPED_RESOURCE_DEFAULT_EX`
    `DE_ENTITYRESOLVER_GET_TYPED_RESOURCE_REMOTE_EX`
    `DE_EXPORTER_EXPORT_ORG_DEFAULT_EX`
    `DE_EXPORTER_EXPORT_ORG_REMOTE_EX`
    `DE_EXPORTER_IMPORT_ORG_DEFAULT_EX`
    `DE_EXPORTER_IMPORT_ORG_REMOTE_EX`
    `DE_LDAP_LIST_ATTRIBUTE_NAMES_DEFAULT_EX`
    `DE_LDAP_LIST_ATTRIBUTE_NAMES_REMOTE_EX`
    `DE_LDAP_LIST_ATTRIBUTES_DEFAULT_EX`
    `DE_LDAP_LIST_ATTRIBUTES_REMOTE_EX`
    `DE_LDAP_LIST_CONTAINER_RESOURCES_DEFAULT_EX`
    `DE_LDAP_LIST_CONTAINER_RESOURCES_REMOTE_EX`
    `DE_LDAP_LIST_ENTITIES_DEFAULT_EX`
    `DE_LDAP_LIST_ENTITIES_REMOTE_EX`
    `DE_LDAP_LIST_SOURCE_DEFAULT_EX`
    `DE_LDAP_LIST_SOURCE_REMOTE_EX`
    `DE_MAPPING_DELETE_RESOURCE_DEFAULT_EX`
    `DE_MAPPING_DELETE_RESOURCE_REMOTE_EX`
    `DE_MAPPING_GET_RESOURCE_GUID_DEFAULT_EX`
    `DE_MAPPING_GET_RESOURCE_GUID_REMOTE_EX`
    `DE_MAPPING_LIST_ENTITIES_DEFAULT_EX`
    `DE_MAPPING_LIST_ENTITIES_REMOTE_EX`
    `DE_MAPPING_MAP_ENTITIES_DEFAULT_EX`
    `DE_MAPPING_MAP_ENTITIES_REMOTE_EX`
    `DE_MAPPING_UPDATE_CAPABILITIES_DEFAULT_EX`
    `DE_MAPPING_UPDATE_CAPABILITIES_REMOTE_EX`
    `DE_ORG_RESOURCE_CREATE_RESOURCE_DEFAULT_EX`
    `DE_ORG_RESOURCE_CREATE_RESOURCE_REMOTE_EX`
    `DE_ORG_RESOURCE_DELETE_RESOURCE_DEFAULT_EX`
    `DE_ORG_RESOURCE_DELETE_RESOURCE_REMOTE_EX`
    `DE_ORG_RESOURCE_GET_RESOURCE_DEFAULT_EX`
    `DE_ORG_RESOURCE_GET_RESOURCE_REMOTE_EX`
    `DE_ORG_RESOURCE_UPDATE_RESOURCE_DEFAULT_EX`
    `DE_ORG_RESOURCE_UPDATE_RESOURCE_REMOTE_EX`
    `DE_ORGMODEL_GET_MODEL_DEFAULT_EX`
    `DE_ORGMODEL_GET_MODEL_REMOTE_EX`
    `DE_ORGMODEL_LIST_VERSIONS_DEFAULT_EX`
    `DE_ORGMODEL_LIST_VERSIONS_REMOTE_EX`
    `DE_RESOURCE_QUERY_EXECUTE_QUERY_DEFAULT_EX`
    `DE_RESOURCE_QUERY_EXECUTE_QUERY_REMOTE_EX`
    `DE_SECURITY_AUTHENTICATE_USER_DEFAULT_EX`
    `DE_SECURITY_AUTHENTICATE_USER_REMOTE_EX`
    `DE_SECURITY_GET_PRIV_DEFAULT_EX`
    `DE_SECURITY_GET_PRIV_REMOTE_EX`
    `DE_SECURITY_UPDATE_ASSIGNMENTS_DEFAULT_EX`
    `DE_SECURITY_UPDATE_ASSIGNMENTS_REMOTE_EX`
    `DE_USER_DELETE_SETTINGS_DEFAULT_EX`
    `DE_USER_DELETE_SETTINGS_REMOTE_EX`
    `DE_USER_GET_SETTINGS_DEFAULT_EX`
    `DE_USER_GET_SETTINGS_REMOTE_EX`
    `DE_USER_LIST_SETTING_IDS_DEFAULT_EX`
    `DE_USER_LIST_SETTING_IDS_REMOTE_EX`
    `DE_USER_SAVE_SETTINGS_DEFAULT_EX`
    `DE_USER_SAVE_SETTINGS_REMOTE_EX`
    `EC_QUERYSERVICE_DEFAULT_EX`
    `EC_QUERYSERVICE_REMOTE_EX`
    `WP_CANCEL_DEFAULT_EX`
    `WP_CANCEL_REMOTE_EX`
    `WP_CLOSE_DEFAULT_EX`
    `WP_CLOSE_REMOTE_EX`
    `WP_COMPLETE_DEFAULT_EX`
    `WP_COMPLETE_REMOTE_EX`
    `WP_INITIATE_DEFAULT_EX`
    `WP_INITIATE_REMOTE_EX`
    `WP_OPEN_NEXT_DEFAULT_EX`
    `WP_OPEN_NEXT_REMOTE_EX`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getErrorMsg()`
    `java.lang.Class` | `getException()`
    `static ExceptionCodes` | `getExceptionCode(java.lang.String methodName, java.lang.Class exceptionClass)`
    `java.lang.String` | `getMethod()`
    `static ExceptionCodes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExceptionCodes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WP_INITIATE_REMOTE_EX

          public static final ExceptionCodes WP_INITIATE_REMOTE_EX

    - #### WP_INITIATE_DEFAULT_EX

          public static final ExceptionCodes WP_INITIATE_DEFAULT_EX

    - #### WP_CLOSE_REMOTE_EX

          public static final ExceptionCodes WP_CLOSE_REMOTE_EX

    - #### WP_CLOSE_DEFAULT_EX

          public static final ExceptionCodes WP_CLOSE_DEFAULT_EX

    - #### WP_COMPLETE_REMOTE_EX

          public static final ExceptionCodes WP_COMPLETE_REMOTE_EX

    - #### WP_COMPLETE_DEFAULT_EX

          public static final ExceptionCodes WP_COMPLETE_DEFAULT_EX

    - #### WP_CANCEL_REMOTE_EX

          public static final ExceptionCodes WP_CANCEL_REMOTE_EX

    - #### WP_CANCEL_DEFAULT_EX

          public static final ExceptionCodes WP_CANCEL_DEFAULT_EX

    - #### WP_OPEN_NEXT_REMOTE_EX

          public static final ExceptionCodes WP_OPEN_NEXT_REMOTE_EX

    - #### WP_OPEN_NEXT_DEFAULT_EX

          public static final ExceptionCodes WP_OPEN_NEXT_DEFAULT_EX

    - #### BRM_WORKLIST_WORKITEM_REMOTE_EX

          public static final ExceptionCodes BRM_WORKLIST_WORKITEM_REMOTE_EX

    - #### BRM_WORKLIST_WORKITEM_DEFAULT_EX

          public static final ExceptionCodes BRM_WORKLIST_WORKITEM_DEFAULT_EX

    - #### BRM_WORKLIST_ORDERFILTER_REMOTE_EX

          public static final ExceptionCodes BRM_WORKLIST_ORDERFILTER_REMOTE_EX

    - #### BRM_WORKLIST_ORDERFILTER_DEFAULT_EX

          public static final ExceptionCodes BRM_WORKLIST_ORDERFILTER_DEFAULT_EX

    - #### BRM_WORKLIST_GET_RESOURCE_ORDERFILTER_REMOTE_EX

          public static final ExceptionCodes BRM_WORKLIST_GET_RESOURCE_ORDERFILTER_REMOTE_EX

    - #### BRM_WORKLIST_GET_RESOURCE_ORDERFILTER_DEFAULT_EX

          public static final ExceptionCodes BRM_WORKLIST_GET_RESOURCE_ORDERFILTER_DEFAULT_EX

    - #### BRM_WORKLIST_SET_RESOURCE_ORDERFILTER_REMOTE_EX

          public static final ExceptionCodes BRM_WORKLIST_SET_RESOURCE_ORDERFILTER_REMOTE_EX

    - #### BRM_WORKLIST_SET_RESOURCE_ORDERFILTER_DEFAULT_EX

          public static final ExceptionCodes BRM_WORKLIST_SET_RESOURCE_ORDERFILTER_DEFAULT_EX

    - #### BRM_WORKLIST_GET_ORG_ENTITY_CONFIG_ATTS_AVALIABLE_REMOTE_EX

          public static final ExceptionCodes BRM_WORKLIST_GET_ORG_ENTITY_CONFIG_ATTS_AVALIABLE_REMOTE_EX

    - #### BRM_WORKLIST_GET_ORG_ENTITY_CONFIG_ATTS_AVALIABLE_DEFAULT_EX

          public static final ExceptionCodes BRM_WORKLIST_GET_ORG_ENTITY_CONFIG_ATTS_AVALIABLE_DEFAULT_EX

    - #### BRM_WORKLIST_DELETE_ORG_ENTITY_CONFIG_ATTS_REMOTE_EX

          public static final ExceptionCodes BRM_WORKLIST_DELETE_ORG_ENTITY_CONFIG_ATTS_REMOTE_EX

    - #### BRM_WORKLIST_DELETE_ORG_ENTITY_CONFIG_ATTS_DEFAULT_EX

          public static final ExceptionCodes BRM_WORKLIST_DELETE_ORG_ENTITY_CONFIG_ATTS_DEFAULT_EX

    - #### BRM_WORKLIST_SET_ORG_ENTITY_CONFIG_ATTS_REMOTE_EX

          public static final ExceptionCodes BRM_WORKLIST_SET_ORG_ENTITY_CONFIG_ATTS_REMOTE_EX

    - #### BRM_WORKLIST_SET_ORG_ENTITY_CONFIG_ATTS_DEFAULT_EX

          public static final ExceptionCodes BRM_WORKLIST_SET_ORG_ENTITY_CONFIG_ATTS_DEFAULT_EX

    - #### BRM_WORKLIST_GET_ORG_ENTITY_CONFIG_ATTS_REMOTE_EX

          public static final ExceptionCodes BRM_WORKLIST_GET_ORG_ENTITY_CONFIG_ATTS_REMOTE_EX

    - #### BRM_WORKLIST_GET_ORG_ENTITY_CONFIG_ATTS_DEFAULT_EX

          public static final ExceptionCodes BRM_WORKLIST_GET_ORG_ENTITY_CONFIG_ATTS_DEFAULT_EX

    - #### BRM_WORKITEM_MANAGEMENT_GET_OFFER_SET_REMOTE_EX

          public static final ExceptionCodes BRM_WORKITEM_MANAGEMENT_GET_OFFER_SET_REMOTE_EX

    - #### BRM_WORKITEM_MANAGEMENT_GET_OFFER_SET_DEFAULT_EX

          public static final ExceptionCodes BRM_WORKITEM_MANAGEMENT_GET_OFFER_SET_DEFAULT_EX

    - #### BRM_WORKITEM_MANAGEMENT_REALLOCATE_WORK_ITEM_REMOTE_EX

          public static final ExceptionCodes BRM_WORKITEM_MANAGEMENT_REALLOCATE_WORK_ITEM_REMOTE_EX

    - #### BRM_WORKITEM_MANAGEMENT_REALLOCATE_ITEM_DEFAULT_EX

          public static final ExceptionCodes BRM_WORKITEM_MANAGEMENT_REALLOCATE_ITEM_DEFAULT_EX

    - #### BRM_WORKITEM_MANAGEMENT_UNALLOCATE_WORK_ITEM_REMOTE_EX

          public static final ExceptionCodes BRM_WORKITEM_MANAGEMENT_UNALLOCATE_WORK_ITEM_REMOTE_EX

    - #### BRM_WORKITEM_MANAGEMENT_UNALLOCATE_WORK_ITEM_DEFAULT_EX

          public static final ExceptionCodes BRM_WORKITEM_MANAGEMENT_UNALLOCATE_WORK_ITEM_DEFAULT_EX

    - #### BRM_WORKITEM_MANAGEMENT_ALLOCATE_WORK_ITEM_REMOTE_EX

          public static final ExceptionCodes BRM_WORKITEM_MANAGEMENT_ALLOCATE_WORK_ITEM_REMOTE_EX

    - #### BRM_WORKITEM_MANAGEMENT_ALLOCATE_WORK_ITEM_DEFAULT_EX

          public static final ExceptionCodes BRM_WORKITEM_MANAGEMENT_ALLOCATE_WORK_ITEM_DEFAULT_EX

    - #### BRM_WORKITEM_MANAGEMENT_GET_WORK_ITEM_HEADER_REMOTE_EX

          public static final ExceptionCodes BRM_WORKITEM_MANAGEMENT_GET_WORK_ITEM_HEADER_REMOTE_EX

    - #### BRM_WORKITEM_MANAGEMENT_GET_WORK_ITEM_HEADER_DEFAULT_EX

          public static final ExceptionCodes BRM_WORKITEM_MANAGEMENT_GET_WORK_ITEM_HEADER_DEFAULT_EX

    - #### BRM_WORKITEM_MANAGEMENT_SKIP_WORK_ITEM_REMOTE_EX

          public static final ExceptionCodes BRM_WORKITEM_MANAGEMENT_SKIP_WORK_ITEM_REMOTE_EX

    - #### BRM_WORKITEM_MANAGEMENT_SKIP_WORK_ITEM_DEFAULT_EX

          public static final ExceptionCodes BRM_WORKITEM_MANAGEMENT_SKIP_WORK_ITEM_DEFAULT_EX

    - #### BRM_WORK_ITEM_MANAGEMENT_CLOSE_WORK_ITEM_REMOTE_EX

          public static final ExceptionCodes BRM_WORK_ITEM_MANAGEMENT_CLOSE_WORK_ITEM_REMOTE_EX

    - #### BRM_WORK_ITEM_MANAGEMENT_CLOSE_WORK_ITEM_DEFAULT_EX

          public static final ExceptionCodes BRM_WORK_ITEM_MANAGEMENT_CLOSE_WORK_ITEM_DEFAULT_EX

    - #### BRM_WORK_ITEM_SCHEDULER_CANCEL_WORK_ITEM_REMOTE_EX

          public static final ExceptionCodes BRM_WORK_ITEM_SCHEDULER_CANCEL_WORK_ITEM_REMOTE_EX

    - #### BRM_WORK_ITEM_SCHEDULER_CANCEL_WORK_ITEM_DEFAULT_EX

          public static final ExceptionCodes BRM_WORK_ITEM_SCHEDULER_CANCEL_WORK_ITEM_DEFAULT_EX

    - #### BRM_WORK_ITEM_SCHEDULER_ENABLE_WORK_ITEM_REMOTE_EX

          public static final ExceptionCodes BRM_WORK_ITEM_SCHEDULER_ENABLE_WORK_ITEM_REMOTE_EX

    - #### BRM_WORK_ITEM_SCHEDULER_ENABLE_WORK_ITEM_DEFAULT_EX

          public static final ExceptionCodes BRM_WORK_ITEM_SCHEDULER_ENABLE_WORK_ITEM_DEFAULT_EX

    - #### BRM_WORK_ITEM_SCHEDULER_RESCHEDULE_WORK_ITEM_REMOTE_EX

          public static final ExceptionCodes BRM_WORK_ITEM_SCHEDULER_RESCHEDULE_WORK_ITEM_REMOTE_EX

    - #### BRM_WORK_ITEM_SCHEDULER_RESCHEDULE_WORK_ITEM_DEFAULT_EX

          public static final ExceptionCodes BRM_WORK_ITEM_SCHEDULER_RESCHEDULE_WORK_ITEM_DEFAULT_EX

    - #### BRM_WORK_ITEM_SCHEDULER_RESUME_WORK_ITEM_REMOTE_EX

          public static final ExceptionCodes BRM_WORK_ITEM_SCHEDULER_RESUME_WORK_ITEM_REMOTE_EX

    - #### BRM_WORK_ITEM_SCHEDULER_RESUME_WORK_ITEM_DEFAULT_EX

          public static final ExceptionCodes BRM_WORK_ITEM_SCHEDULER_RESUME_WORK_ITEM_DEFAULT_EX

    - #### BRM_WORK_ITEM_SCHEDULER_SCHEDULE_WORK_ITEM_REMOTE_EX

          public static final ExceptionCodes BRM_WORK_ITEM_SCHEDULER_SCHEDULE_WORK_ITEM_REMOTE_EX

    - #### BRM_WORK_ITEM_SCHEDULER_SCHEDULE_WORK_ITEM_DEFAULT_EX

          public static final ExceptionCodes BRM_WORK_ITEM_SCHEDULER_SCHEDULE_WORK_ITEM_DEFAULT_EX

    - #### BRM_WORK_ITEM_SCHEDULER_SCHEDULE_WORK_ITEM_MODEL_REMOTE_EX

          public static final ExceptionCodes BRM_WORK_ITEM_SCHEDULER_SCHEDULE_WORK_ITEM_MODEL_REMOTE_EX

    - #### BRM_WORK_ITEM_SCHEDULER_SCHEDULE_WORK_ITEM_MODEL_DEFAULT_EX

          public static final ExceptionCodes BRM_WORK_ITEM_SCHEDULER_SCHEDULE_WORK_ITEM_MODEL_DEFAULT_EX

    - #### BRM_WORK_ITEM_SCHEDULER_SUSPEND_WORK_ITEM_REMOTE_EX

          public static final ExceptionCodes BRM_WORK_ITEM_SCHEDULER_SUSPEND_WORK_ITEM_REMOTE_EX

    - #### BRM_WORK_ITEM_SCHEDULER_SUSPEND_WORK_ITEM_DEFAULT_EX

          public static final ExceptionCodes BRM_WORK_ITEM_SCHEDULER_SUSPEND_WORK_ITEM_DEFAULT_EX

    - #### DE_ATTRIBUTE_GET_BUSINESS_PARAMS_REMOTE_EX

          public static final ExceptionCodes DE_ATTRIBUTE_GET_BUSINESS_PARAMS_REMOTE_EX

    - #### DE_ATTRIBUTE_GET_BUSINESS_PARAMS_DEFAULT_EX

          public static final ExceptionCodes DE_ATTRIBUTE_GET_BUSINESS_PARAMS_DEFAULT_EX

    - #### DE_ATTRIBUTE_LIST_BUSINESS_PARAMS_REMOTE_EX

          public static final ExceptionCodes DE_ATTRIBUTE_LIST_BUSINESS_PARAMS_REMOTE_EX

    - #### DE_ATTRIBUTE_LIST_BUSINESS_PARAMS_DEFAULT_EX

          public static final ExceptionCodes DE_ATTRIBUTE_LIST_BUSINESS_PARAMS_DEFAULT_EX

    - #### DE_ATTRIBUTE_SET_BUSINESS_PARAMS_REMOTE_EX

          public static final ExceptionCodes DE_ATTRIBUTE_SET_BUSINESS_PARAMS_REMOTE_EX

    - #### DE_ATTRIBUTE_SET_BUSINESS_PARAMS_DEFAULT_EX

          public static final ExceptionCodes DE_ATTRIBUTE_SET_BUSINESS_PARAMS_DEFAULT_EX

    - #### DE_ATTRIBUTE_GET_SYSTEM_PARAMS_REMOTE_EX

          public static final ExceptionCodes DE_ATTRIBUTE_GET_SYSTEM_PARAMS_REMOTE_EX

    - #### DE_ATTRIBUTE_GET_SYSTEM_PARAMS_DEFAULT_EX

          public static final ExceptionCodes DE_ATTRIBUTE_GET_SYSTEM_PARAMS_DEFAULT_EX

    - #### DE_ATTRIBUTE_LIST_SYSTEM_PARAMS_REMOTE_EX

          public static final ExceptionCodes DE_ATTRIBUTE_LIST_SYSTEM_PARAMS_REMOTE_EX

    - #### DE_ATTRIBUTE_LIST_SYSTEM_PARAMS_DEFAULT_EX

          public static final ExceptionCodes DE_ATTRIBUTE_LIST_SYSTEM_PARAMS_DEFAULT_EX

    - #### DE_ATTRIBUTE_SET_SYSTEM_PARAMS_REMOTE_EX

          public static final ExceptionCodes DE_ATTRIBUTE_SET_SYSTEM_PARAMS_REMOTE_EX

    - #### DE_ATTRIBUTE_SET_SYSTEM_PARAMS_DEFAULT_EX

          public static final ExceptionCodes DE_ATTRIBUTE_SET_SYSTEM_PARAMS_DEFAULT_EX

    - #### DE_BROWSEMODEL_OPEN_ORG_MODEL_REMOTE_EX

          public static final ExceptionCodes DE_BROWSEMODEL_OPEN_ORG_MODEL_REMOTE_EX

    - #### DE_BROWSEMODEL_OPEN_ORG_MODEL_DEFAULT_EX

          public static final ExceptionCodes DE_BROWSEMODEL_OPEN_ORG_MODEL_DEFAULT_EX

    - #### DE_BROWSEMODEL_BROWSE_MODEL_NODE_REMOTE_EX

          public static final ExceptionCodes DE_BROWSEMODEL_BROWSE_MODEL_NODE_REMOTE_EX

    - #### DE_BROWSEMODEL_BROWSE_MODEL_NODE_DEFAULT_EX

          public static final ExceptionCodes DE_BROWSEMODEL_BROWSE_MODEL_NODE_DEFAULT_EX

    - #### DE_BROWSEMODEL_LIST_ORG_MODEL_OVERVIEW_REMOTE_EX

          public static final ExceptionCodes DE_BROWSEMODEL_LIST_ORG_MODEL_OVERVIEW_REMOTE_EX

    - #### DE_BROWSEMODEL_LIST_ORG_MODEL_DEFAULT_EX

          public static final ExceptionCodes DE_BROWSEMODEL_LIST_ORG_MODEL_DEFAULT_EX

    - #### DE_BROWSEMODEL_LIST_MODEL_VERSIONS_REMOTE_EX

          public static final ExceptionCodes DE_BROWSEMODEL_LIST_MODEL_VERSIONS_REMOTE_EX

    - #### DE_BROWSEMODEL_LIST_MODEL_VERSIONS_DEFAULT_EX

          public static final ExceptionCodes DE_BROWSEMODEL_LIST_MODEL_VERSIONS_DEFAULT_EX

    - #### DE_BROWSEMODEL_LIST_CAPABILITIES_REMOTE_EX

          public static final ExceptionCodes DE_BROWSEMODEL_LIST_CAPABILITIES_REMOTE_EX

    - #### DE_BROWSEMODEL_LIST_CAPABILITIES_DEFAULT_EX

          public static final ExceptionCodes DE_BROWSEMODEL_LIST_CAPABILITIES_DEFAULT_EX

    - #### DE_BROWSEMODEL_LIST_PRIVILEGES_REMOTE_EX

          public static final ExceptionCodes DE_BROWSEMODEL_LIST_PRIVILEGES_REMOTE_EX

    - #### DE_BROWSEMODEL_LIST_PRIVILEGES_DEFAULT_EX

          public static final ExceptionCodes DE_BROWSEMODEL_LIST_PRIVILEGES_DEFAULT_EX

    - #### DE_BROWSEMODEL_GET_CAPABILITIES_REMOTE_EX

          public static final ExceptionCodes DE_BROWSEMODEL_GET_CAPABILITIES_REMOTE_EX

    - #### DE_BROWSEMODEL_GET_CAPABILITIES_DEFAULT_EX

          public static final ExceptionCodes DE_BROWSEMODEL_GET_CAPABILITIES_DEFAULT_EX

    - #### DE_BROWSEMODEL_GET_PRIVILEGES_REMOTE_EX

          public static final ExceptionCodes DE_BROWSEMODEL_GET_PRIVILEGES_REMOTE_EX

    - #### DE_BROWSEMODEL_GET_PRIVILEGES_DEFAULT_EX

          public static final ExceptionCodes DE_BROWSEMODEL_GET_PRIVILEGES_DEFAULT_EX

    - #### DE_CONTAINER_SAVE_LDAP_DETAIL_REMOTE_EX

          public static final ExceptionCodes DE_CONTAINER_SAVE_LDAP_DETAIL_REMOTE_EX

    - #### DE_CONTAINER_SAVE_LDAP_DETAIL_DEFAULT_EX

          public static final ExceptionCodes DE_CONTAINER_SAVE_LDAP_DETAIL_DEFAULT_EX

    - #### DE_CONTAINER_LIST_LDAP_CONTAINER_REMOTE_EX

          public static final ExceptionCodes DE_CONTAINER_LIST_LDAP_CONTAINER_REMOTE_EX

    - #### DE_CONTAINER_LIST_LDAP_CONTAINER_DEFAULT_EX

          public static final ExceptionCodes DE_CONTAINER_LIST_LDAP_CONTAINER_DEFAULT_EX

    - #### DE_CONTAINER_DELETE_LDAP_CONTAINER_REMOTE_EX

          public static final ExceptionCodes DE_CONTAINER_DELETE_LDAP_CONTAINER_REMOTE_EX

    - #### DE_CONTAINER_DELETE_LDAP_CONTAINER_DEFAULT_EX

          public static final ExceptionCodes DE_CONTAINER_DELETE_LDAP_CONTAINER_DEFAULT_EX

    - #### DE_CONTAINER_GET_LDAP_DETAIL_REMOTE_EX

          public static final ExceptionCodes DE_CONTAINER_GET_LDAP_DETAIL_REMOTE_EX

    - #### DE_CONTAINER_GET_LDAP_DETAIL_DEFAULT_EX

          public static final ExceptionCodes DE_CONTAINER_GET_LDAP_DETAIL_DEFAULT_EX

    - #### DE_ENTITYRESOLVER_GET_RESOURCE_DETAIL_REMOTE_EX

          public static final ExceptionCodes DE_ENTITYRESOLVER_GET_RESOURCE_DETAIL_REMOTE_EX

    - #### DE_ENTITYRESOLVER_GET_RESOURCE_DETAIL_DEFAULT_EX

          public static final ExceptionCodes DE_ENTITYRESOLVER_GET_RESOURCE_DETAIL_DEFAULT_EX

    - #### DE_ENTITYRESOLVER_GET_TYPED_RESOURCE_REMOTE_EX

          public static final ExceptionCodes DE_ENTITYRESOLVER_GET_TYPED_RESOURCE_REMOTE_EX

    - #### DE_ENTITYRESOLVER_GET_TYPED_RESOURCE_DEFAULT_EX

          public static final ExceptionCodes DE_ENTITYRESOLVER_GET_TYPED_RESOURCE_DEFAULT_EX

    - #### DE_LDAP_LIST_SOURCE_REMOTE_EX

          public static final ExceptionCodes DE_LDAP_LIST_SOURCE_REMOTE_EX

    - #### DE_LDAP_LIST_SOURCE_DEFAULT_EX

          public static final ExceptionCodes DE_LDAP_LIST_SOURCE_DEFAULT_EX

    - #### DE_LDAP_LIST_ATTRIBUTE_NAMES_REMOTE_EX

          public static final ExceptionCodes DE_LDAP_LIST_ATTRIBUTE_NAMES_REMOTE_EX

    - #### DE_LDAP_LIST_ATTRIBUTE_NAMES_DEFAULT_EX

          public static final ExceptionCodes DE_LDAP_LIST_ATTRIBUTE_NAMES_DEFAULT_EX

    - #### DE_LDAP_LIST_ENTITIES_REMOTE_EX

          public static final ExceptionCodes DE_LDAP_LIST_ENTITIES_REMOTE_EX

    - #### DE_LDAP_LIST_ENTITIES_DEFAULT_EX

          public static final ExceptionCodes DE_LDAP_LIST_ENTITIES_DEFAULT_EX

    - #### DE_LDAP_LIST_ATTRIBUTES_REMOTE_EX

          public static final ExceptionCodes DE_LDAP_LIST_ATTRIBUTES_REMOTE_EX

    - #### DE_LDAP_LIST_ATTRIBUTES_DEFAULT_EX

          public static final ExceptionCodes DE_LDAP_LIST_ATTRIBUTES_DEFAULT_EX

    - #### DE_LDAP_LIST_CONTAINER_RESOURCES_REMOTE_EX

          public static final ExceptionCodes DE_LDAP_LIST_CONTAINER_RESOURCES_REMOTE_EX

    - #### DE_LDAP_LIST_CONTAINER_RESOURCES_DEFAULT_EX

          public static final ExceptionCodes DE_LDAP_LIST_CONTAINER_RESOURCES_DEFAULT_EX

    - #### DE_MAPPING_LIST_ENTITIES_REMOTE_EX

          public static final ExceptionCodes DE_MAPPING_LIST_ENTITIES_REMOTE_EX

    - #### DE_MAPPING_LIST_ENTITIES_DEFAULT_EX

          public static final ExceptionCodes DE_MAPPING_LIST_ENTITIES_DEFAULT_EX

    - #### DE_MAPPING_GET_RESOURCE_GUID_REMOTE_EX

          public static final ExceptionCodes DE_MAPPING_GET_RESOURCE_GUID_REMOTE_EX

    - #### DE_MAPPING_GET_RESOURCE_GUID_DEFAULT_EX

          public static final ExceptionCodes DE_MAPPING_GET_RESOURCE_GUID_DEFAULT_EX

    - #### DE_MAPPING_MAP_ENTITIES_REMOTE_EX

          public static final ExceptionCodes DE_MAPPING_MAP_ENTITIES_REMOTE_EX

    - #### DE_MAPPING_MAP_ENTITIES_DEFAULT_EX

          public static final ExceptionCodes DE_MAPPING_MAP_ENTITIES_DEFAULT_EX

    - #### DE_MAPPING_UPDATE_CAPABILITIES_REMOTE_EX

          public static final ExceptionCodes DE_MAPPING_UPDATE_CAPABILITIES_REMOTE_EX

    - #### DE_MAPPING_UPDATE_CAPABILITIES_DEFAULT_EX

          public static final ExceptionCodes DE_MAPPING_UPDATE_CAPABILITIES_DEFAULT_EX

    - #### DE_MAPPING_DELETE_RESOURCE_REMOTE_EX

          public static final ExceptionCodes DE_MAPPING_DELETE_RESOURCE_REMOTE_EX

    - #### DE_MAPPING_DELETE_RESOURCE_DEFAULT_EX

          public static final ExceptionCodes DE_MAPPING_DELETE_RESOURCE_DEFAULT_EX

    - #### DE_SECURITY_AUTHENTICATE_USER_REMOTE_EX

          public static final ExceptionCodes DE_SECURITY_AUTHENTICATE_USER_REMOTE_EX

    - #### DE_SECURITY_AUTHENTICATE_USER_DEFAULT_EX

          public static final ExceptionCodes DE_SECURITY_AUTHENTICATE_USER_DEFAULT_EX

    - #### DE_SECURITY_UPDATE_ASSIGNMENTS_REMOTE_EX

          public static final ExceptionCodes DE_SECURITY_UPDATE_ASSIGNMENTS_REMOTE_EX

    - #### DE_SECURITY_UPDATE_ASSIGNMENTS_DEFAULT_EX

          public static final ExceptionCodes DE_SECURITY_UPDATE_ASSIGNMENTS_DEFAULT_EX

    - #### DE_SECURITY_GET_PRIV_REMOTE_EX

          public static final ExceptionCodes DE_SECURITY_GET_PRIV_REMOTE_EX

    - #### DE_SECURITY_GET_PRIV_DEFAULT_EX

          public static final ExceptionCodes DE_SECURITY_GET_PRIV_DEFAULT_EX

    - #### DE_USER_SAVE_SETTINGS_REMOTE_EX

          public static final ExceptionCodes DE_USER_SAVE_SETTINGS_REMOTE_EX

    - #### DE_USER_SAVE_SETTINGS_DEFAULT_EX

          public static final ExceptionCodes DE_USER_SAVE_SETTINGS_DEFAULT_EX

    - #### DE_USER_DELETE_SETTINGS_REMOTE_EX

          public static final ExceptionCodes DE_USER_DELETE_SETTINGS_REMOTE_EX

    - #### DE_USER_DELETE_SETTINGS_DEFAULT_EX

          public static final ExceptionCodes DE_USER_DELETE_SETTINGS_DEFAULT_EX

    - #### DE_USER_GET_SETTINGS_REMOTE_EX

          public static final ExceptionCodes DE_USER_GET_SETTINGS_REMOTE_EX

    - #### DE_USER_GET_SETTINGS_DEFAULT_EX

          public static final ExceptionCodes DE_USER_GET_SETTINGS_DEFAULT_EX

    - #### DE_USER_LIST_SETTING_IDS_REMOTE_EX

          public static final ExceptionCodes DE_USER_LIST_SETTING_IDS_REMOTE_EX

    - #### DE_USER_LIST_SETTING_IDS_DEFAULT_EX

          public static final ExceptionCodes DE_USER_LIST_SETTING_IDS_DEFAULT_EX

    - #### DE_EXPORTER_EXPORT_ORG_REMOTE_EX

          public static final ExceptionCodes DE_EXPORTER_EXPORT_ORG_REMOTE_EX

    - #### DE_EXPORTER_EXPORT_ORG_DEFAULT_EX

          public static final ExceptionCodes DE_EXPORTER_EXPORT_ORG_DEFAULT_EX

    - #### DE_EXPORTER_IMPORT_ORG_REMOTE_EX

          public static final ExceptionCodes DE_EXPORTER_IMPORT_ORG_REMOTE_EX

    - #### DE_EXPORTER_IMPORT_ORG_DEFAULT_EX

          public static final ExceptionCodes DE_EXPORTER_IMPORT_ORG_DEFAULT_EX

    - #### DE_ORGMODEL_LIST_VERSIONS_REMOTE_EX

          public static final ExceptionCodes DE_ORGMODEL_LIST_VERSIONS_REMOTE_EX

    - #### DE_ORGMODEL_LIST_VERSIONS_DEFAULT_EX

          public static final ExceptionCodes DE_ORGMODEL_LIST_VERSIONS_DEFAULT_EX

    - #### DE_ORGMODEL_GET_MODEL_REMOTE_EX

          public static final ExceptionCodes DE_ORGMODEL_GET_MODEL_REMOTE_EX

    - #### DE_ORGMODEL_GET_MODEL_DEFAULT_EX

          public static final ExceptionCodes DE_ORGMODEL_GET_MODEL_DEFAULT_EX

    - #### DE_RESOURCE_QUERY_EXECUTE_QUERY_REMOTE_EX

          public static final ExceptionCodes DE_RESOURCE_QUERY_EXECUTE_QUERY_REMOTE_EX

    - #### DE_RESOURCE_QUERY_EXECUTE_QUERY_DEFAULT_EX

          public static final ExceptionCodes DE_RESOURCE_QUERY_EXECUTE_QUERY_DEFAULT_EX

    - #### DE_ORG_RESOURCE_CREATE_RESOURCE_REMOTE_EX

          public static final ExceptionCodes DE_ORG_RESOURCE_CREATE_RESOURCE_REMOTE_EX

    - #### DE_ORG_RESOURCE_CREATE_RESOURCE_DEFAULT_EX

          public static final ExceptionCodes DE_ORG_RESOURCE_CREATE_RESOURCE_DEFAULT_EX

    - #### DE_ORG_RESOURCE_DELETE_RESOURCE_REMOTE_EX

          public static final ExceptionCodes DE_ORG_RESOURCE_DELETE_RESOURCE_REMOTE_EX

    - #### DE_ORG_RESOURCE_DELETE_RESOURCE_DEFAULT_EX

          public static final ExceptionCodes DE_ORG_RESOURCE_DELETE_RESOURCE_DEFAULT_EX

    - #### DE_ORG_RESOURCE_GET_RESOURCE_REMOTE_EX

          public static final ExceptionCodes DE_ORG_RESOURCE_GET_RESOURCE_REMOTE_EX

    - #### DE_ORG_RESOURCE_GET_RESOURCE_DEFAULT_EX

          public static final ExceptionCodes DE_ORG_RESOURCE_GET_RESOURCE_DEFAULT_EX

    - #### DE_ORG_RESOURCE_UPDATE_RESOURCE_REMOTE_EX

          public static final ExceptionCodes DE_ORG_RESOURCE_UPDATE_RESOURCE_REMOTE_EX

    - #### DE_ORG_RESOURCE_UPDATE_RESOURCE_DEFAULT_EX

          public static final ExceptionCodes DE_ORG_RESOURCE_UPDATE_RESOURCE_DEFAULT_EX

    - #### EC_QUERYSERVICE_REMOTE_EX

          public static final ExceptionCodes EC_QUERYSERVICE_REMOTE_EX

    - #### EC_QUERYSERVICE_DEFAULT_EX

          public static final ExceptionCodes EC_QUERYSERVICE_DEFAULT_EX

    - #### DAC_CALENDAR_GET_CALENDAR_ENTRIES_REMOTE_EX

          public static final ExceptionCodes DAC_CALENDAR_GET_CALENDAR_ENTRIES_REMOTE_EX

    - #### DAC_CALENDAR_GET_CALENDAR_ENTRIES_DEFAULT_EX

          public static final ExceptionCodes DAC_CALENDAR_GET_CALENDAR_ENTRIES_DEFAULT_EX

    - #### DAC_CALENDAR_UPDATE_WORKING_DAYS_REMOTE_EX

          public static final ExceptionCodes DAC_CALENDAR_UPDATE_WORKING_DAYS_REMOTE_EX

    - #### DAC_CALENDAR_UPDATE_WORKING_DAYS_DEFAULT_EX

          public static final ExceptionCodes DAC_CALENDAR_UPDATE_WORKING_DAYS_DEFAULT_EX

    - #### DAC_CALENDAR_ADD_WORKING_DAY_EXCEPTIONS_REMOTE_EX

          public static final ExceptionCodes DAC_CALENDAR_ADD_WORKING_DAY_EXCEPTIONS_REMOTE_EX

    - #### DAC_CALENDAR_ADD_WORKING_DAY_EXCEPTIONS_DEFAULT_EX

          public static final ExceptionCodes DAC_CALENDAR_ADD_WORKING_DAY_EXCEPTIONS_DEFAULT_EX

    - #### DAC_CALENDAR_UPDATE_WORKING_DAY_EXCEPTIONS_REMOTE_EX

          public static final ExceptionCodes DAC_CALENDAR_UPDATE_WORKING_DAY_EXCEPTIONS_REMOTE_EX

    - #### DAC_CALENDAR_UPDATE_WORKING_DAY_EXCEPTIONS_DEFAULT_EX

          public static final ExceptionCodes DAC_CALENDAR_UPDATE_WORKING_DAY_EXCEPTIONS_DEFAULT_EX

    - #### DAC_CALENDAR_DELETE_WORKING_DAY_EXCEPTIONS_REMOTE_EX

          public static final ExceptionCodes DAC_CALENDAR_DELETE_WORKING_DAY_EXCEPTIONS_REMOTE_EX

    - #### DAC_CALENDAR_DELETE_WORKING_DAY_EXCEPTIONS_DEFAULT_EX

          public static final ExceptionCodes DAC_CALENDAR_DELETE_WORKING_DAY_EXCEPTIONS_DEFAULT_EX

    - #### DAC_BUSINESS_DEADLINE_CALC_BUSINESS_DEADLINE_REMOTE_EX

          public static final ExceptionCodes DAC_BUSINESS_DEADLINE_CALC_BUSINESS_DEADLINE_REMOTE_EX

    - #### DAC_BUSINESS_DEADLINE_CALC_BUSINESS_DEADLINE_DEFAULT_EX

          public static final ExceptionCodes DAC_BUSINESS_DEADLINE_CALC_BUSINESS_DEADLINE_DEFAULT_EX

  - ### Method Detail

    - #### values

          public static ExceptionCodes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExceptionCodes c : ExceptionCodes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExceptionCodes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMethod

          public java.lang.String getMethod()

    - #### getException

          public java.lang.Class getException()

    - #### getErrorMsg

          public java.lang.String getErrorMsg()

    - #### getExceptionCode

          public static ExceptionCodes getExceptionCode(java.lang.String methodName,
                                                        java.lang.Class exceptionClass)

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.